Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD Architecture ACA (ADT)
  Nachbearbeitung 2D-Schnitt

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Nachbearbeitung 2D-Schnitt (835 mal gelesen)
heiko_hems
Mitglied
Freier Architekt


Sehen Sie sich das Profil von heiko_hems an!   Senden Sie eine Private Message an heiko_hems  Schreiben Sie einen Gästebucheintrag für heiko_hems

Beiträge: 1291
Registriert: 14.01.2005

BuildingDesignSuitePremium 2019
Revit / ACA

erstellt am: 16. Sep. 2005 16:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

wie haltet Ihr das eigentlich mit den 2D-Schnitten:
Im Großen und Ganzen ist das Ergebnis passabel aber mache Linien müssen weg oder gestrichelt werden. Diese Aktion ist stumpfsinnig und dann auch noch ziemlich unhandlich !
Schnitt klicken > rMT > Liniengrafik - bearbeiten > Linien wählen > rMT > usw Ihr kennt das ja alle...
Ich denke da an einen Knopf für Linien aus dem 2DSchnitt rausschmeissen, 
in die PopUp-Toolbar lässt sich das (für mich zumindest :-( )nicht integrieren.
Hat jemand schon mal in diese Richtung geknobelt und kann da Unterstützung geben ?

Schönes WE
Gruß
heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tmoehlenhoff
Moderator
Gutzum, CAD-Therapeut und BIM-Priester ;-)




Sehen Sie sich das Profil von tmoehlenhoff an!   Senden Sie eine Private Message an tmoehlenhoff  Schreiben Sie einen Gästebucheintrag für tmoehlenhoff

Beiträge: 2996
Registriert: 14.10.2002

AutoCAD, AutoCAD Architecture, Revit Architecture, Building Design und Honeymoon Suite und das ganze auch gerne mal auf einem Mac

erstellt am: 17. Sep. 2005 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Nun ja, das Entfernen von Linien aus dem Schnitt finde ich gar nicht so dramatisch, aber wenn man es komplett auf ein Knöpfchen haben will hilft im Zweifelsfall ein bisschen Lisp. Folgendes Progrämmchen erzeugt einen Befehl SLE, mit dem man (sofern man es auf eine Schaltfläche eines Werkzeugkastens legt) auf Knopfdruck mehrere Linien aus einem berechneten Schnitt entfernen kann:

--- 8< --- Hier den Glasschneider ansetzen --- 8< ---

; Schnitt Linien Entfernen
(defun c:sle( / en oldcmd)
  (setq oldcmd (getvar "cmdecho"))
  (setvar "cmdecho" 1)
  (command "2dSectionResultEdit")
  (while (/= (getvar "cmdactive") 0)
    (command pause)
  )
  (while (setq en (car (entsel "\nElemente zum entfernen wählen, Ende mit RETURN: ")))
    (entdel en)
  )
  (command "AecInplaceEditSaveAll")
  (setvar "cmdecho" oldcmd)
  (princ)
)
 
--- 8< --- Hier den Glasschneider ansetzen --- 8< ---

sayonara
Torsten Möhlenhoff
ACAD-Systemhaus Bremen


------------------
Alles wirD guT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HerbertSimon
Mitglied
Innenarchitekt


Sehen Sie sich das Profil von HerbertSimon an!   Senden Sie eine Private Message an HerbertSimon  Schreiben Sie einen Gästebucheintrag für HerbertSimon

Beiträge: 453
Registriert: 10.04.2003

ACA2013, Win10 64,
"Zuletzt kann niemand aus den Dingen, die Bücher eingerechnet, mehr heraushören, als er bereits weiß" (Nietzche)
..und das hat er schon gesagt, bevor es Handbücher für ADT gab!!

erstellt am: 17. Sep. 2005 19:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Danke Heiko für das Thema, das wollte ich auch schon mal ansprechen,
Danke Thorsten für die Lösung!
Das macht ja Hunger auf mehr!!
Linien ändern etc.
Da gehört am besten ein richtiger Werkzeugkasten her!
Aber ich kanns nicht.
Habe eine ganze Zeit und viel nachstöbern gebraucht, bis ich das Lisp überhaupt zum laufen gebracht habe.

Jetzt klappt das wunderbar.

Toll

Gruß Herbert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

surfen281
Mitglied
Student


Sehen Sie sich das Profil von surfen281 an!   Senden Sie eine Private Message an surfen281  Schreiben Sie einen Gästebucheintrag für surfen281

Beiträge: 496
Registriert: 08.09.2002

ACA 2016; MAX 2016, Photoshop.....
WIN 7 64bit; 2xXeon X5690; Quadro 4000; 48GB RAM;

erstellt am: 18. Sep. 2005 02:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Klingt sehr vielversprechend!

....Und wie bringt man es zum Laufen?
Was muß ich mit den Zeilen Lisp machen?

mfG,

          mARTin  (leider nur user - und kein Programmierer!?)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tmoehlenhoff
Moderator
Gutzum, CAD-Therapeut und BIM-Priester ;-)




Sehen Sie sich das Profil von tmoehlenhoff an!   Senden Sie eine Private Message an tmoehlenhoff  Schreiben Sie einen Gästebucheintrag für tmoehlenhoff

Beiträge: 2996
Registriert: 14.10.2002

AutoCAD, AutoCAD Architecture, Revit Architecture, Building Design und Honeymoon Suite und das ganze auch gerne mal auf einem Mac

erstellt am: 18. Sep. 2005 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Hui, da gibt es gleich eine ganze Reihe von Möglichkeiten.
Zunächst mal speichert man den gekennzeichneten Text ein eine Datei beliebigen Namens mit der Erweiterung .lsp (also z.B. Helferlein.lsp). Dann kann man entweder diese Datei beim Befehl appload in die Startgruppe verfrachten, eine acaddoc.lsp anlegen und dort die Datei mittels (load "helferlein.lsp") laden oder man macht es gleich wie in der inoffiziellen ADT-Hilfeseite in der Admin-Ecke beschrieben.
Anchließend (bei allen 3 Verfahren) steht im ADT in allen zukünftig geladenen oder erstellten Zeichnungen ein neuer Befehl bereit, dessen Name nach dem (defun c: steht. Im Beispiel oben also SLE. Diesen kann man einfach eintippen oder man legt ihn sich auf eine Schaltfläche in einen Werkzeugkasten.

sayonara
Torsten Möhlenhoff
ACAD-Systemhaus Bremen

------------------
Alles wirD guT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tmoehlenhoff
Moderator
Gutzum, CAD-Therapeut und BIM-Priester ;-)




Sehen Sie sich das Profil von tmoehlenhoff an!   Senden Sie eine Private Message an tmoehlenhoff  Schreiben Sie einen Gästebucheintrag für tmoehlenhoff

Beiträge: 2996
Registriert: 14.10.2002

AutoCAD, AutoCAD Architecture, Revit Architecture, Building Design und Honeymoon Suite und das ganze auch gerne mal auf einem Mac

erstellt am: 18. Sep. 2005 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von HerbertSimon:
...
Das macht ja Hunger auf mehr!!
Linien ändern etc.
...

Ändern geht dann z.B: so:

--- 8< --- Hier den Glasschneider ansetzen --- 8< ---

; Schnitt Linien ändern
(defun c:slä( / ss oldcmd)
  (setq oldcmd (getvar "cmdecho"))
  (setvar "cmdecho" 1)
  (command "2dSectionResultEdit")
  (while (/= (getvar "cmdactive") 0)
    (command pause)
  )
  (if (setq ss (ssget))
    (command "2dSectionEditComponent" ss "")
  ) 
  (command "AecInplaceEditSaveAll")
  (setvar "cmdecho" oldcmd)
  (princ)
)

--- 8< --- Hier den Glasschneider ansetzen --- 8< ---

sayonara
Torsten Möhlenhoff
ACAD-Systemhaus Bremen

------------------
Alles wirD guT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

heiko_hems
Mitglied
Freier Architekt


Sehen Sie sich das Profil von heiko_hems an!   Senden Sie eine Private Message an heiko_hems  Schreiben Sie einen Gästebucheintrag für heiko_hems

Beiträge: 1291
Registriert: 14.01.2005

BuildingDesignSuitePremium 2019
Revit / ACA

erstellt am: 19. Sep. 2005 08:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Torsten,

das ist mal wieder mehr und vollständiger als ich es mir geträumt habe.
So ein Start in die Woche macht Laune, ich werd' das alles gleich probieren.

Besten Dank und eine
erfolgreiche Woche
Gruß
Heiko

PS - Jetzt muss ich nur noch eine Möglichkeit finden den Bildschirm nach dem Glasschneidereinsatz wieder aufzupolieren ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HerbertSimon
Mitglied
Innenarchitekt


Sehen Sie sich das Profil von HerbertSimon an!   Senden Sie eine Private Message an HerbertSimon  Schreiben Sie einen Gästebucheintrag für HerbertSimon

Beiträge: 453
Registriert: 10.04.2003

ACA2013, Win10 64,
"Zuletzt kann niemand aus den Dingen, die Bücher eingerechnet, mehr heraushören, als er bereits weiß" (Nietzche)
..und das hat er schon gesagt, bevor es Handbücher für ADT gab!!

erstellt am: 19. Sep. 2005 09:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Hi Torsten,
das taugt was!!
Dank
Herbert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HerbertSimon
Mitglied
Innenarchitekt


Sehen Sie sich das Profil von HerbertSimon an!   Senden Sie eine Private Message an HerbertSimon  Schreiben Sie einen Gästebucheintrag für HerbertSimon

Beiträge: 453
Registriert: 10.04.2003

ACA2013, Win10 64,
"Zuletzt kann niemand aus den Dingen, die Bücher eingerechnet, mehr heraushören, als er bereits weiß" (Nietzche)
..und das hat er schon gesagt, bevor es Handbücher für ADT gab!!

erstellt am: 19. Sep. 2005 19:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für heiko_hems 10 Unities + Antwort hilfreich

Lisp - was ist der richtigere Weg?

Hallo,
um die obigen Lisps zu nutzen kenne ich 3 Wege.

Grundsätzlich:
Das lsp ist in einem Ordner, der „durchsucht“ wird, abgelegt.

1. laden mit „appload“
2. das Laden bei Programmstart über Eintrag in „acaddoc.lsp“
        wie bei adt.cad.de beschrieben.
3. Das „laden“ mit auf den icon legen, z.B.
        ^C^C(load "Schnittlinien_entf");sle;

Bei 3. lädt man wohl das Programm bei jedem Klick auf das Icon.
Ist das wurscht oder ???
Das wäre mir der sympatischere Weg.

Danke
Herbert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz